import Vue from 'vue'

const option = {
  methods: {
    // 后退
    navigateBack(flag = false) {
      // if (!flag) {
      //   this.$store.dispatch('tagsView/delView', this.$route)
      //   this.$router.go(-1)
      //   return
      // }
      this.$confirm('该操作会清空未保存的数据，是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      })
        .then(() => {
          this.$store.dispatch('tagsView/delView', this.$route)
          this.$router.go(-1)
        })
        .catch(() => {
          this.$message({
            type: 'info',
            message: '继续编辑'
          })
        })
    },
    // 跳转
    navigationTo(url, params) {
      this.$router.push({ path: url, params })
    }
  }
}

Vue.mixin(option)
